Get upstream sync
curl --request GET \
--url https://api.mesa.dev/v1/{org}/{repo}/upstream/syncs/{syncId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mesa.dev/v1/{org}/{repo}/upstream/syncs/{syncId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mesa.dev/v1/{org}/{repo}/upstream/syncs/{syncId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"repo_id": "<string>",
"attempt": 123,
"ref_globs": {
"branches": "<string>",
"tags": "<string>"
},
"stats": {
"refs": [
{
"name": "<string>",
"before": "<string>",
"after": "<string>"
}
]
},
"error": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"trace_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"trace_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"trace_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"trace_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"trace_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"trace_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"trace_id": "<string>"
}
}Repo
Get upstream sync
Get one sync for the repository upstream.
GET
/
{org}
/
{repo}
/
upstream
/
syncs
/
{syncId}
Get upstream sync
Required scope:
readAuthorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Organization slug
Minimum string length:
1Repository name
Minimum string length:
1Sync id
Minimum string length:
1Response
Sync
Available options:
pull, push Available options:
queued, in_progress, completed, failed Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I

